%define upstream_name    PPI-PowerToys
%define upstream_version 0.14

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 12

Summary:    A handy collection of small PPI-based utilities
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/PPI/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Find::Rule)
BuildRequires: perl(File::Find::Rule::Perl)
BuildRequires: perl(File::Spec)
BuildRequires: perl(Getopt::Long)
BuildRequires: perl(inc::Module::Install)
BuildRequires: perl(IPC::Run3)
BuildRequires: perl(PPI::Document)
BuildRequires: perl(Probe::Perl)
BuildRequires: perl(Test::More)
BuildRequires: perl(Test::Script)
BuildRequires: perl(version)

BuildArch: noarch


%{?perl_default_filter}

%description
The PPI PowerToys are a small collection of utilities for working with Perl
files, modules and distributions.

To kick off the collection, he's added a very simple and raw version of one
of his own little tools.

ppi_version
      > ppi_version show
      > ppi_version change 0.01 0.02

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%make test

%install
%make_install

%files
%doc LICENSE README META.yml Changes
%{_bindir}/ppi_*
%{_mandir}/man3/*
%perl_vendorlib/*


%changelog
* Wed Feb 12 2020 umeabot <umeabot> 0.140.0-12.mga8
+ Revision: 1505826
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Thu Sep 20 2018 umeabot <umeabot> 0.140.0-11.mga7
+ Revision: 1285473
- Mageia 7 Mass Rebuild

* Tue Oct 03 2017 tv <tv> 0.140.0-10.mga7
+ Revision: 1166329
- rebuild with fixed rpm for missing autodeps

* Wed Sep 27 2017 tv <tv> 0.140.0-9.mga7
+ Revision: 1160652
- add BR on perl(inc::Module::Install)

* Sun Jun 19 2016 pterjan <pterjan> 0.140.0-8.mga6
+ Revision: 1032683
- Rebuild for perl 5.22.2

* Tue Feb 02 2016 umeabot <umeabot> 0.140.0-7.mga6
+ Revision: 931324
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.140.0-6.mga5
+ Revision: 743869
- Second Mageia 5 Mass Rebuild

* Tue Sep 30 2014 tv <tv> 0.140.0-5.mga5
+ Revision: 733327
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 0.140.0-4.mga5
+ Revision: 685842
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.140.0-3.mga4
+ Revision: 513781
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.140.0-2.mga3
+ Revision: 371331
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Jan 24 2011 jquelin <jquelin> 0.140.0-1.mga1
+ Revision: 36486
- mageia rebuild
- imported package perl-PPI-PowerToys

